Sourceinstall

From Free Software Directory
Revision as of 11:15, 12 April 2011 by WikiSysop (talk | contribs)$7

(diff) ← Older revision | Approved revision (diff) | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
[edit]

GNU Source Installer

http://www.gnu.org/software/sourceinstall
Graphical tool for source package configuration, installation, tracking and removal

Source-Install was a source package manager for Unix-likes. The tool comes with a graphical interface to source package configuration, installation, tracking and removal. It also performs installed packages consistency checks and uninstallation crosschecks considering simple file dependency between packages. It was intended for users, not developers: it has nothing to do with package creation. Users had to install new source packages by browsing the web, downloading a source package (in .tar.gz or other formats), and then feeding it to the source installer.

This package has been decommissioned. See Guix, the GNU's way of handling source packages.

Documentation

User manual available in HTML format from http://www.gnu.org/software/sourceinstall/manual/manual.html

Heckert gnu.small.png This is a GNU package:sourceinstall

Download

Download version 2.5 (stable)
released on 20 July 2008

VCS Checkout

cvs -d:pserver:anonymous@cvs.sv.gnu.org:/sources/sourceinstall co sourceinstall2

Categories

Related Projects




Licensing

LicenseVerified byVerified onNotes
License:GPLv3orlaterJanet Casey14 June 2005



Leaders and contributors

Contact(s)Role
Claudio Fontana Maintainer


Resources and communication

AudienceResource typeURI
DeveloperVCS Repository Webviewhttp://cvs.savannah.gnu.org/viewvc/?root=sourceinstall
BugsBug Trackinghttps://savannah.gnu.org/bugs/?group=sourceinstall
Bug TrackingE-mailmailto:bug-sourceinstall@gnu.org


Software prerequisites

KindDescription
Weak prerequisitecompress
Weak prerequisitetar
Weak prerequisitezip
Weak prerequisitebzip2
Weak prerequisiteunzip
Weak prerequisitebunzip2
Weak prerequisitegzip
Required to useTcl
Weak prerequisitegunzip
Required to usewith packages Tk and Expect

This entry (in part or in whole) was last reviewed on 29 September 2015.



Entry





































Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the page “GNU Free Documentation License”.

The copyright and license notices on this page only apply to the text on this page. Any software or copyright-licenses or other similar notices described in this text has its own copyright notice and license, which can usually be found in the distribution or license text itself.